
.sticky-cap-area {
	position:absolute;
	top:0;
	left:0;
	bottom:0;
}

.sticky-cap-bar {
	position:sticky;
	top:0;
	width:28px;
	height:90px;
	background-color:#039;
	padding-left:4px;
	padding-top:10px;
	opacity:0;
}

.sticky-cap-bar.act {
	opacity:1;
}

.sticky-cap-text {
	font-size:16px;
	color:#FFF;
	writing-mode:vertical-rl;
	font-weight:bold;
	letter-spacing:4px;
}

.sticky-cap-tab_no {
	font-size:16px;
	color:#FFF;
	text-combine-upright: all;
}

.notice-wrap {
    position: fixed;
	top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	transition: width 0.5s, height 0.5s;
}

.notice-wrap.init {
	top: auto;
	left: 230px;
	bottom: 45px;
}

.notice-wrap.alert {
	background-color:rgba(200, 200, 200, 50%);
	position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

.notice-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.notice-overlay.init {
	z-index: -10;
}

.notice-overlay.alert {
	z-index: 10;
}


.notice-ver-bar {
	position:fixed;
	bottom:0;
    left:196px;
	width:300px;
	background-color:rgba(0, 0, 200, 0.5);
}

.notice-box {
	position:fixed;
    background-color: #CCC;
	border:1px solid #777;
	transition: left 0.2s, bottom 0.2s, width 0.2s, height 0.2s;
}

.notice-box.init {
	padding:0;
	bottom:0;
	left:196px;
	width:300px;
	transform: translateY(0%);
}

.notice-box.alert {
	padding:4px;
	bottom:50%;
	left:230px;
	width:720px;
	transform: translateY(50%);
}

.notice-box-head.init {
	/*background-color:rgba(0, 0, 200, 0.3);*/
}

.notice-box-head.alert {
	width:100%;
	height:20px;
	background-color: #CCC;
	display:inline-block;
	vertical-align:middle;
	font-weight:bold;
	text-indent:14px;
	font-size:16px;
}

.notice-box-dummy.init {
	position:absolute;
	left:0;
	top:0;
	bottom:0;
	right:0;
	cursor:pointer;
	/*background-color:rgba(0, 0, 200, 0.3);*/
}

.notice-box-text {
	resize: none;
	text-align:left;
	outline:none;
	color:#F00;
	width:100%;
	line-height:1.2em;
}

.notice-box-text.init {
    overflow: hidden;
	font-weight:normal;
	text-indent:5px;
	padding:0;
	height:calc(1.2em * 1);
}

.notice-box-text.alert {
    overflow: auto;
	font-weight:bold;
	text-indent:0;
	padding:8px;
	height:calc(1.2em * 20);
}

label:has(input) {
	cursor:pointer;
}

input[type="text"] {
	height:1.5em;
	text-indent:2px;
}

label input[type="checkbox"] {
	position: relative;
	top: 2px;
	bottom:2px;
	cursor:pointer;
}

label input[type="radio"] {
	position: relative;
	top: 2px;
	bottom:2px;
	cursor:pointer;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-content {
    background: white;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.msg-result .update {
	
}

.msg-result .update {
	color:#00F;
	font-weight:bold
}

.msg-result .error {
	color:#F00;
	font-weight:bold
}


table.dm-list-table {
	border-collapse: collapse;
	table-layout: auto;
	margin:10px 0px;
	border:1px solid #009;
}

table.dm-list-table tr th {
	border:1px solid #009;
	background-color:#039;
	text-align:center;
	color:#FFF;
	padding:5px;
}

table.dm-list-table tr td {
	background-color:#FFF;
	color:#000;
}

.dm-list-after-input {
	vertical-align:middle;
	margin:3px 0;
}

.dm-list-b-dmin-select {
	outline:none;
	border:none;
	min-width:100%;
	max-width:100%;
}

.dm-list-b-dmin-text {
	margin:0;
	display:block;
	overglow:visible;
}

td.etc-td {
	text-align:center;
	padding:5px;
	border:1px solid #009;
	white-space: nowrap;
}

td.use-domain-tab {
	text-align:left;
	boder:none;
	border-top:1px dotted #99F;
	border-bottom:1px dotted #99C;
	padding-left:5px;
	white-space: nowrap;
	min-width:100%;
	max-width:100%;
}

pre {
	white-space: pre;
    font-family: monospace;
}

table.input-table {
	border-collapse: collapse;
	table-layout: auto;
	margin:10px 0px;
	border:1px solid #009;
}

table.input-table tr th {
	border:1px solid #009;
	background-color:#003399;
	text-align:center;
	color:#ffffff;
	padding:5px;
}

table.input-table tr td {
	border:1px solid #009;
	background-color:#FFF;
	text-align:center;
	color:#000;
	padding:5px;
}

table.input-table tr th {
	border:1px solid #009;
	background-color:#003399;
	text-align:center;
	color:#ffffff;
	padding:5px;
}

h2 {
  padding:0.4rem 1rem;
  margin-left:20px;
  margin-right:20px;
  margin-bottom:10px;
  color: #FFF;
  border-radius: 10px;
  background-color: #02A;
}

.h2-contents {
	padding-left:30px;
	padding-right:30px
}

h3 {
  background: #46F;
  color: #FFF;
  margin: 0;
  display:inline-block;
  padding: .3em .5em;
  border-radius: 10px 10px 0 0;
}

.h3-contents {
  border: 2px solid #46F;
  padding:10px;
}


hr {
	border:0;
	border-top:2px dotted #000;
	height:10px;
	margin:20px;
	margin-top:0;
	margin-bottom:0;
}


table.input-table tr td.t-area-wrap {
	position:relative;
	padding:0px;
}

.t-area-text {
	vertical-align: middle;
	/*position: absolute;
	top:0;
	left:0;
	bottom:0;
	right:0;*/
	display: inline-block;
	overflow:hidden;
	box-sizing: border-box;
	/*width: 100%;*/
	min-width:200px;
	width: auto;
	min-height:3.6em;
	/*min-width:80px;*/
	color: inherit;
	font: inherit;
	letter-spacing: inherit;
	/*resize: none;*/
	/*border:1px solid #666;*/
	/*padding:5px;*/
	padding:6px 4px;
	/*margin:1px;*/
	text-align:left;
	/*margin-bottom:-3px;*/
	white-space: pre-wrap;
	user-modify: read-write-plaintext-only;
	-webkit-user-modify: read-write-plaintext-only;
}

.t-area-text:focus {
	outline: 0;
}

.t-input-text {
	vertical-align: middle;
	/*position: absolute;
	top:0;
	left:0;
	bottom:0;
	right:0;*/
	display: inline-block;
	overflow:hidden;
	box-sizing: border-box;
	/*width: 100%;*/
	min-width:200px;
	width: auto;
	min-height:2.1em;
	/*min-width:80px;*/
	color: inherit;
	font: inherit;
	letter-spacing: inherit;
	/*resize: none;*/
	/*border:1px solid #666;*/
	/*padding:5px;*/
	padding:6px 4px;
	/*margin:1px;*/
	text-align:left;
	/*margin-bottom:-3px;*/
	white-space: no-wrap;
	outline: 0;
}